General
General Information
Generate a signature
Deposits
Getting started
Create a deposit
Create a deposit without redirection (iframe)
Deposit notification (webhook)
Check an deposit status
Get a list of deposits
Deposits without 8-day waiting period (Steam Trade Protection)
Deposit approval with 8-day hold
Get failed webhook notifications
Deposits without SkinsBack UI
Create a deposit without SkinsBack UI (API)
Get user's inventory
Skins Withdraw
Skins price list
Skins search
Buy skin
Bulk buy skins
Get skin purchase info
Skin purchase history
Other
Get the project balance
Get the history of withdrawals and deposits of money
Get currencies and rates
Server status
Events real-time: websockets
Events real-time: webhooks
Get a user's inventory
This method allows you to obtain the user's Steam inventory for further creation of a deposit via the API.
The required parameters are highlighted in blue.
Send a POST request to API Endpoint with the following parameters:
method
string
user_inventory
game
string
'cs2', 'dota2', 'rust'
steam_id
string
User Steam ID
trade_token
string
'token' value from the user's Trade URL
custom_multiplier
double
Custom price multiplier (overrides value from project settings). Min value: 0.5, max: 2
custom_currency
string
Custom currency (required with custom_currency_rate). You can pass the name of an custom currency and specify its rate. Skin prices will be displayed in this currency. Maximum 4 characters.
custom_currency_rate
double
The rate of an arbitrary currency (required with custom_currency). Min value: 0.1
Response from the server:
If successful, a JSON object with the following contents will be sent in response:
items
array
An array of the elements described below
currency_local
string
Passed currency for skin prices (price_local and multiplied_price_local)
'items' structure
item.asset_id
string
Asset ID of the skin from the Steam inventory. The deposit creation method is passed to the API
item.tradable
bool
Is the skin available for trade on Steam?
item.app_id
int
App ID of the game on Steam. Can be used to form a link to a skin image
item.icon_url
string
Value from the Steam inventory, used to form a link to the skin image (https://steamcommunity-a.akamaihd.net/economy/image/{icon_url}/200fx200f)
item.class_id
string
Value from Steam inventory. Can be used to form a link to a skin image
name
string
Skin name
price
float
The price in USD currency that you will receive on the project balance
stickers
array
Skin stickers (CS2 only)
disabled
bool
If the value is 'true', then we cannot accept this skin and its Asset ID should not be transferred when creating a deposit
price_local
float
Price in currency 'currency'
multiplied_price_local
float
Skin price in currency 'currency' with a multiplier from the project settings
Successful response example:
{
"status": "success",
"data": {
"items": [
{
"item": {
"asset_id": "4284666526576951869",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GTEfCk4nReh8DEiv5dbOK0-r7A-Rvoc_CHvvg",
"class_id": "1239822445"
},
"name": "Black Bandana",
"price": 0.07,
"stickers": [],
"disabled": false,
"price_local": 6.49,
"multiplied_price_local": 12.98
},
{
"item": {
"asset_id": "4284666526576951710",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GPMfCk4nReh8DEiv5daMK84rrwwQ_m6f-_bfrM",
"class_id": "1150042773"
},
"name": "Forest Camo Pants",
"price": 0.06,
"stickers": [],
"disabled": true,
"price_local": 5.56,
"multiplied_price_local": 11.13
},
{
"item": {
"asset_id": "4284666526576951707",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GPGfCk4nReh8DEiv5ddOKo-rrY3Rf642xqEoVY",
"class_id": "1132469022"
},
"name": "Multicam Jacket",
"price": 0.06,
"stickers": [],
"disabled": true,
"price_local": 5.56,
"multiplied_price_local": 11.13
},
{
"item": {
"asset_id": "4284666526576951664",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GHEfCk4nReh8DEiv5dYMKA5pLYzRv6605EYJLk",
"class_id": "1217055316"
},
"name": "Cloth",
"price": 0.06,
"stickers": [],
"disabled": true,
"price_local": 5.56,
"multiplied_price_local": 11.13
},
{
"item": {
"asset_id": "4477205562413429653",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GTGfCk4nReh8DEiv5dYP6A2rbA-Rf25SfAER4E",
"class_id": "1239847866"
},
"name": "Forest Camo Bandana",
"price": 0.08,
"stickers": [],
"disabled": false,
"price_local": 7.42,
"multiplied_price_local": 14.84
},
{
"item": {
"asset_id": "7040881650036228451",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GvGfCk4nReh8DEiv5dRPa89rbIzQPHomfYsJw",
"class_id": "1367550349"
},
"name": "XXL Picture Frame",
"price": 0.14,
"stickers": [],
"disabled": false,
"price_local": 12.98,
"multiplied_price_local": 25.97
},
{
"item": {
"asset_id": "7040881650018509899",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GfDfCk4nReh8DEiv5dePqo-rbE2QfDetTZYmg",
"class_id": "1221869347"
},
"name": "Facepunch TShirt",
"price": 0.07,
"stickers": [],
"disabled": false,
"price_local": 6.49,
"multiplied_price_local": 12.98
},
{
"item": {
"asset_id": "7040881650018503217",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GvHfCk4nReh8DEiv5dYMK48rbA3Qf25xd6nYFI",
"class_id": "1367240336"
},
"name": "Two Sided Hanging Sign",
"price": 0.14,
"stickers": [],
"disabled": false,
"price_local": 12.98,
"multiplied_price_local": 25.97
},
{
"item": {
"asset_id": "7040881650018499246",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GvNfCk4nReh8DEiv5dRMao6rrcxRfpxw9ozkg",
"class_id": "1368658386"
},
"name": "One Sided Town Sign Post",
"price": 0.14,
"stickers": [],
"disabled": false,
"price_local": 12.98,
"multiplied_price_local": 25.97
},
{
"item": {
"asset_id": "7040881650018499211",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GvEfCk4nReh8DEiv5ddOag8qL02QPu8iE0BWx4",
"class_id": "1368124330"
},
"name": "Large Banner Hanging",
"price": 0.14,
"stickers": [],
"disabled": false,
"price_local": 12.98,
"multiplied_price_local": 25.97
},
{
"item": {
"asset_id": "7040881650018498241",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GTHfCk4nReh8DEiv5daPK03qrA0Q_64iUe-2eI",
"class_id": "1239833770"
},
"name": "Snow Camo Bandana",
"price": 0.08,
"stickers": [],
"disabled": false,
"price_local": 7.42,
"multiplied_price_local": 14.84
},
{
"item": {
"asset_id": "7040881650018497805",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GbAfCk4nReh8DEiv5dROag6pLw1SPnr505JuQ",
"class_id": "1221777137"
},
"name": "Rescue Cap",
"price": 0.06,
"stickers": [],
"disabled": true,
"price_local": 5.56,
"multiplied_price_local": 11.13
},
{
"item": {
"asset_id": "7040881650018497278",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GTGfCk4nReh8DEiv5dYP6A2rbA-Rf25SfAER4E",
"class_id": "1239847866"
},
"name": "Forest Camo Bandana",
"price": 0.08,
"stickers": [],
"disabled": false,
"price_local": 7.42,
"multiplied_price_local": 14.84
},
{
"item": {
"asset_id": "7040881650018497260",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5WbEfCk4nReh8DEiv5daOa4_rLI_RPi6S8mOXYo",
"class_id": "1594188998"
},
"name": "Gun Box",
"price": 0.16,
"stickers": [],
"disabled": false,
"price_local": 14.84,
"multiplied_price_local": 29.68
},
{
"item": {
"asset_id": "4284666526577962863",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GTEfCk4nReh8DEiv5dbOK0-r7A-Rvoc_CHvvg",
"class_id": "1239822445"
},
"name": "Black Bandana",
"price": 0.07,
"stickers": [],
"disabled": false,
"price_local": 6.49,
"multiplied_price_local": 12.98
},
{
"item": {
"asset_id": "4284666526577962836",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GTEfCk4nReh8DEiv5dbOK0-r7A-Rvoc_CHvvg",
"class_id": "1239822445"
},
"name": "Black Bandana",
"price": 0.07,
"stickers": [],
"disabled": false,
"price_local": 6.49,
"multiplied_price_local": 12.98
},
{
"item": {
"asset_id": "4284666526577962770",
"tradable": 1,
"app_id": 252490,
"icon_url": "6TMcQ7eX6E0EZl2byXi7vaVKyDk_zQLX05x6eLCFM9neAckxGDf7qU2e2gu64OnAeQ7835Je5GTEfCk4nReh8DEiv5dbOK0-r7A-Rvoc_CHvvg",
"class_id": "1239822445"
},
"name": "Black Bandana",
"price": 0.07,
"stickers": [],
"disabled": false,
"price_local": 6.49,
"multiplied_price_local": 12.98
}
],
"currency_local": "rub"
}
}
List of possible errors:
1
invalid_game
Invalid game specified
2
invalid_steam_id
Invalid steam_id. Example of Steam ID: 76561198827262007
3
invalid_trade_token
Invalid trade_token. Request a new Trade URL from the user
4
invalid_currency
Invalid currency specified
5
user_not_tradable
The user has restrictions in the trade system
6
user_inventory_is_hidden
The user's inventory is hidden. Ask the user to open it
7
user_inventory_is_unavailable
The user's inventory is unavailable. Try again
8
invalid_custom_currency
Invalid custom currency specified
9
invalid_custom_currency_rate
Invalid custom currency rate specified
10
invalid_custom_multiplier
Invalid custom multiplier specified
standard errors:
-1
please_use_post_method
Need to use the POST method
-2
invalid_shopid
Project Client ID not found in the system
-3
invalid_signature
Invalid signature
-4
shop_not_active
Project inactive
-5
invalid_method
Invalid API method
-7
request_limit_reached
API requests limit reached (500/per minute)
-8
invalid_ip_address
Specify IP address in merchant panel
-9
under_maintenance
Site under maintenance
-10
invalid_client_secret
Invalid X-CLIENT-SECRET header
Error response example:
{
"status": "error",
"error_code": 4,
"error_message": "invalid_currency"
}